Package owl.ltl

## Class PropositionalFormula

- java.lang.Object
- - owl.ltl.AbstractFormula
  - - owl.ltl.PropositionalFormula

- All Implemented Interfaces:
    `Formula`
  Direct Known Subclasses:
    `Conjunction`, `Disjunction`

      public abstract class PropositionalFormula
      extends AbstractFormula

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Set<Formula>` | `children` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allMatch​(Predicate<Formula> p)` |
    `boolean` | `anyMatch​(Predicate<Formula> p)` |
    `boolean` | `equals2​(AbstractFormula o)` |
    `void` | `forEach​(Consumer<Formula> consumer)` |
    `protected abstract char` | `getOperator()` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `boolean` | `isSuspendable()` |
    `<T> Stream<T>` | `map​(Function<Formula,T> mapper)` |
    `static Formula` | `shortCircuit​(Formula formula)` |
    `String` | `toString()` |

    - ### Methods inherited from class owl.ltl.AbstractFormula

      `equals, hashCode, hashCodeOnce`

    - ### Methods inherited from interface owl.ltl.Formula

      `accept, accept, accept, nnf, not, temporalStep, temporalStepUnfold, unfold, unfoldTemporalStep`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### children

          public final Set<Formula> children

  - ### Method Detail

    - #### shortCircuit

          public static Formula shortCircuit​(Formula formula)

    - #### allMatch

          public boolean allMatch​(Predicate<Formula> p)

    - #### anyMatch

          public boolean anyMatch​(Predicate<Formula> p)

    - #### equals2

          public boolean equals2​(AbstractFormula o)

      Specified by:
        `equals2` in class `AbstractFormula`

    - #### forEach

          public void forEach​(Consumer<Formula> consumer)

    - #### getOperator

          protected abstract char getOperator()

    - #### isPureEventual

          public boolean isPureEventual()

    - #### isPureUniversal

          public boolean isPureUniversal()

    - #### isSuspendable

          public boolean isSuspendable()

    - #### map

          public <T> Stream<T> map​(Function<Formula,T> mapper)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`